diff --git a/tests/test_flask.py b/tests/test_flask.py
index 02105a7..220fbe8 100644
--- a/tests/test_flask.py
+++ b/tests/test_flask.py
@@ -144,24 +144,18 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get('/test_calendar2/')
         self.assertEqual(output.status_code, 200)
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title>test_calendar2 - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get('/foorbar/', follow_redirects=True)
         self.assertEqual(output.status_code, 200)
         output_text = output.get_data(as_text=True)
         self.assertIn(
-            'class="errors">No calendar named foorbar could be found</',
+            'class="alert alert-danger">No calendar named foorbar could be found</',
             output_text)
 
         output = self.app.get('/test_calendar2/?tzone=Europe/Paris',
@@ -183,9 +177,6 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title>test - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
     def test_calendar_fullday(self):
         """ Test the calendar_fullday function. """
@@ -199,9 +190,6 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get(
             '/test_calendar/%s/%s/%s' % (
@@ -214,9 +202,6 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
     def test_calendar_list(self):
         """ Test the calendar_list function. """
@@ -227,15 +212,12 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get('/list/foorbar/', follow_redirects=True)
         self.assertEqual(output.status_code, 200)
         output_text = output.get_data(as_text=True)
         self.assertIn(
-            'class="errors">No calendar named foorbar could be found</',
+            'class="alert alert-danger">No calendar named foorbar could be found</',
             output_text)
 
         today = date.today()
@@ -245,9 +227,6 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get('/list/test_calendar/%s/%s/%s' % (
             today.year, today.month, today.day))
@@ -259,9 +238,6 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get('/list/test_calendar/%s/%s/' % (
             today.year, today.month), follow_redirects=True)
@@ -272,9 +248,6 @@ class Flasktests(Modeltests):
         self.assertTrue(output_text.count('<tr') > 10)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get('/list/test_calendar/%s/%s/?subject=Another'
             % (today.year, today.month), follow_redirects=True)
@@ -285,9 +258,6 @@ class Flasktests(Modeltests):
         self.assertTrue(output_text.count('<tr') > 10)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get('/list/test_calendar/%s/%s/?subject=Another past'
             % (today.year, today.month), follow_redirects=True)
@@ -298,9 +268,6 @@ class Flasktests(Modeltests):
         self.assertTrue(output_text.count('<tr') >= 10)
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
 
         output = self.app.get('/list/test_calendar/%s/%s/?delta=10'
             % (today.year, today.month), follow_redirects=True)
@@ -380,9 +347,6 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title> EMEA  - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
         self.assertEqual(output_text.count('<a class="event event_blue'), 2)
         self.assertEqual(output_text.count('<a class="event'), 4)
 
@@ -390,7 +354,7 @@ class Flasktests(Modeltests):
         self.assertEqual(output.status_code, 200)
         output_text = output.get_data(as_text=True)
         self.assertIn(
-            'class="errors">No location named foorbar could be found</',
+            'class="alert alert-danger">No location named foorbar could be found</',
             output_text)
 
         today = date.today()
@@ -400,9 +364,6 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title> EMEA  - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
         self.assertIn(
             output_text.count('<a class="event event_blue'), [0, 1])
         self.assertIn(output_text.count('<a class="event'), range(3))
@@ -413,9 +374,6 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn(
             '<title> EMEA  - Fedocal</title>', output_text)
-        self.assertIn(' <a href="/test_calendar/">', output_text)
-        self.assertIn(' <a href="/test_calendar2/">', output_text)
-        self.assertIn(' <a href="/test_calendar4/">', output_text)
         self.assertIn(
             output_text.count('<a class="event event_blue'), [1, 2])
         self.assertIn(output_text.count('<a class="event'), [2, 4])
@@ -530,7 +488,7 @@ class Flasktests(Modeltests):
             '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
             output_text)
         self.assertIn(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            '<h2>Meeting "test-meeting-st-1"</h2>',
             output_text)
         self.assertIn(
             'This is a test meeting at the same time',
@@ -551,7 +509,7 @@ class Flasktests(Modeltests):
             '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
             output_text)
         self.assertIn(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            '<h2>Meeting "test-meeting-st-1"</h2>',
             output_text)
         self.assertIn(
             'This is a test meeting at the same time',
@@ -567,7 +525,7 @@ class Flasktests(Modeltests):
             '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
             output_text)
         self.assertIn(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            '<h2>Meeting "test-meeting-st-1"</h2>',
             output_text)
         self.assertIn(
             'This is a test meeting at the same time',
@@ -584,7 +542,7 @@ class Flasktests(Modeltests):
             '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
             output_text)
         self.assertIn(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            '<h2>Meeting "test-meeting-st-1"</h2>',
             output_text)
         self.assertIn(
             'This is a test meeting at the same time',
@@ -602,7 +560,7 @@ class Flasktests(Modeltests):
             '<title>Meeting "test-meeting-st-1" - Fedocal</title>',
             output_text)
         self.assertIn(
-            '<h2 class="orange">Meeting "test-meeting-st-1"</h2>',
+            '<h2>Meeting "test-meeting-st-1"</h2>',
             output_text)
         self.assertIn(
             'This is a test meeting at the same time',
@@ -615,7 +573,7 @@ class Flasktests(Modeltests):
         self.assertEqual(output.status_code, 200)
         output_text = output.get_data(as_text=True)
         self.assertIn(
-            'class="errors">No meeting could be found for this identifier</',
+            'class="alert alert-danger">No meeting could be found for this identifier</',
             output_text)
 
     def test_is_admin(self):
@@ -863,10 +821,10 @@ class Flasktests(Modeltests):
         self.assertIn('<h2>Locations</h2>', output_text)
         self.assertIn('href="/location/EMEA/">', output_text)
         self.assertIn(
-            '<span class="calendar_name">EMEA</span>', output_text)
+            '<span>EMEA</span>', output_text)
         self.assertIn('href="/location/NA/">', output_text)
         self.assertIn(
-            '<span class="calendar_name">NA</span>', output_text)
+            '<span>NA</span>', output_text)
 
     def test_location(self):
         """ Test the location function. """
@@ -903,7 +861,7 @@ class Flasktests(Modeltests):
         self.assertEqual(output.status_code, 200)
         output_text = output.get_data(as_text=True)
         self.assertIn(
-            'class="errors">No location named foobar could be found</',
+            'class="alert alert-danger">No location named foobar could be found</',
             output_text)
 
     def test_admin(self):
@@ -921,7 +879,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '"errors">You are not a fedocal admin, you are not allowed '
+                '"alert alert-danger">You are not a fedocal admin, you are not allowed '
                 'to access the admin part.</', output_text)
 
         user = FakeUser(fedocal.APP.config['ADMIN_GROUP'])
@@ -944,7 +902,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 '<title>Home - Fedocal</title>', output_text)
             self.assertIn(
-                '<li class="errors">No calendar named test_calendar could '
+                '<li class="alert alert-danger">No calendar named test_calendar could '
                 'be found</li>', output_text)
 
             self.__setup_db()
@@ -959,7 +917,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 '<h2>Edit calendar "test_calendar"</h2>', output_text)
             self.assertIn(
-                'type="text" value="test_calendar"></td>', output_text)
+                'type="text" value="test_calendar">', output_text)
 
             output = self.app.get(
                 '/admin/?calendar=test_calendar&action=delete',
@@ -986,7 +944,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '"errors">You are not a fedocal admin, you are not allowed '
+                '"alert alert-danger">You are not a fedocal admin, you are not allowed '
                 'to add calendars.</', output_text)
 
         user = FakeUser(fedocal.APP.config['ADMIN_GROUP'])
@@ -1001,7 +959,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 'contact">Contact email', output_text)
             self.assertEqual(
-                output_text.count('<span class="required">*</span>'), 3)
+                output_text.count('<span class="text-danger">*</span>'), 3)
 
             csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
@@ -1018,7 +976,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<td>This field is required.</td>', output_text)
+                '<small>This field is required.</small>', output_text)
 
             # Works
             data = {
@@ -1047,7 +1005,7 @@ class Flasktests(Modeltests):
                 self.assertEqual(output.status_code, 200)
                 output_text = output.get_data(as_text=True)
                 self.assertIn(
-                    '<li class="message">Calendar added</li>', output_text)
+                    '<li class="alert alert-info">Calendar added</li>', output_text)
 
             # This calendar already exists
             data = {
@@ -1062,7 +1020,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '="errors">Could not add this calendar to the database</',
+                '="alert alert-danger">Could not add this calendar to the database</',
                 output_text)
 
     def test_delete_calendar(self):
@@ -1075,7 +1033,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertTrue(
-                '<li class="errors">You are not a fedocal admin, you are not'
+                '<li class="alert alert-danger">You are not a fedocal admin, you are not'
                 ' allowed to delete the calendar.</l',
                 output_text)
             self.assertIn('<title>Home - Fedocal</title>', output_text)
@@ -1087,7 +1045,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '"errors">No calendar named 50 could be found</',
+                '"alert alert-danger">No calendar named 50 could be found</',
                 output_text)
             self.assertIn('<title>Home - Fedocal</title>', output_text)
 
@@ -1100,7 +1058,7 @@ class Flasktests(Modeltests):
                 "Are you positively sure that's what you want to do?",
                 output_text)
             self.assertIn(
-                'name="confirm_delete" type="checkbox" value="y"><label',
+                "name=\"confirm_delete\" type=\"checkbox\" value=\"y\">\n    <label",
                 output_text)
 
             # No data
@@ -1116,7 +1074,7 @@ class Flasktests(Modeltests):
                 "Are you positively sure that's what you want to do?",
                 output_text)
             self.assertIn(
-                'name="confirm_delete" type="checkbox" value="y"><label',
+                "name=\"confirm_delete\" type=\"checkbox\" value=\"y\">\n    <label",
                 output_text)
 
             csrf_token = output_text.split(
@@ -1133,7 +1091,7 @@ class Flasktests(Modeltests):
             output_text = output.get_data(as_text=True)
             self.assertIn('<title>Home - Fedocal</title>', output_text)
             self.assertIn(
-                '<span class="calendar_name">test_calendar</span>',
+                '<strong>test_calendar</strong',
                 output_text)
 
             # Delete
@@ -1163,10 +1121,10 @@ class Flasktests(Modeltests):
                 self.assertIn(
                     '<title>Home - Fedocal</title>', output_text)
                 self.assertIn(
-                    '<li class="message">Calendar deleted</li>',
+                    '<li class="alert alert-info">Calendar deleted</li>',
                     output_text)
                 self.assertNotIn(
-                    '<span class="calendar_name">test_calendar</span>',
+                    '<strong>test_calendar</strong>',
                     output_text)
 
     def test_clear_calendar(self):
@@ -1180,7 +1138,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">No calendar named 1 could be found</li',
+                '<li class="alert alert-danger">No calendar named 1 could be found</li',
                 output_text)
 
             output = self.app.get('/calendar/clear/test_calendar/',
@@ -1188,7 +1146,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">You are not an admin of this calendar, '
+                '<li class="alert alert-danger">You are not an admin of this calendar, '
                 'you are not allowed to clear the calendar.</l',
                 output_text)
             self.assertIn(
@@ -1205,7 +1163,7 @@ class Flasktests(Modeltests):
                 "Are you positively sure that's what you want to do?",
                 output_text)
             self.assertIn(
-                'name="confirm_delete" type="checkbox" value="y"><label',
+                "name=\"confirm_delete\" type=\"checkbox\" value=\"y\">\n    <label",
                 output_text)
             self.assertIn(
                 '>Yes I want to clear this calendar</label>', output_text)
@@ -1223,7 +1181,7 @@ class Flasktests(Modeltests):
                 "Are you positively sure that's what you want to do?",
                 output_text)
             self.assertIn(
-                'name="confirm_delete" type="checkbox" value="y"><label',
+                "name=\"confirm_delete\" type=\"checkbox\" value=\"y\">\n    <label",
                 output_text)
 
             csrf_token = output_text.split(
@@ -1241,7 +1199,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 '<title>test_calendar - Fedocal</title>', output_text)
             self.assertNotIn(
-                '<li class="message">Calendar cleared</li>', output_text)
+                '<li class="alert alert-info">Calendar cleared</li>', output_text)
 
             # Delete
             data = {
@@ -1272,7 +1230,7 @@ class Flasktests(Modeltests):
                 self.assertIn(
                     '<title>test_calendar - Fedocal</title>', output_text)
                 self.assertIn(
-                    '<li class="message">Calendar cleared</li>',
+                    '<li class="alert alert-info">Calendar cleared</li>',
                     output_text)
 
     def test_edit_calendar(self):
@@ -1286,7 +1244,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">You are not a fedocal admin, you are '
+                '<li class="alert alert-danger">You are not a fedocal admin, you are '
                 'not allowed to edit the calendar.</li>', output_text)
             self.assertIn(
                 '<title>Home - Fedocal</title>', output_text)
@@ -1298,7 +1256,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">No calendar named 1 could be found</li',
+                '<li class="alert alert-danger">No calendar named 1 could be found</li',
                 output_text)
 
             output = self.app.get('/calendar/edit/test_calendar/')
@@ -1309,7 +1267,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 '<h2>Edit calendar "test_calendar"</h2>', output_text)
             self.assertIn(
-                'class="submit positive button" value="Edit">',
+                'class="btn btn-primary" value="Edit">',
                 output_text)
 
             # No data
@@ -1324,7 +1282,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 '<h2>Edit calendar "test_calendar"</h2>', output_text)
             self.assertIn(
-                'class="submit positive button" value="Edit">',
+                'class="btn btn-primary" value="Edit">',
                 output_text)
 
             csrf_token = output_text.split(
@@ -1340,12 +1298,12 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertEqual(
-                output_text.count('<td>This field is required.</td>'), 3)
+                output_text.count('<small>This field is required.</small>'), 3)
             self.assertIn(
                 '<h2>Edit calendar "test_calendar"</h2>',
                 output_text)
             self.assertIn(
-                'class="submit positive button" value="Edit">',
+                'class="btn btn-primary" value="Edit">',
                 output_text)
 
             # Edit
@@ -1377,13 +1335,13 @@ class Flasktests(Modeltests):
                 self.assertIn(
                     '<title>Election1 - Fedocal</title>', output_text)
                 self.assertIn(
-                    '<li class="message">Calendar updated</li>',
+                    '<li class="alert alert-info">Calendar updated</li>',
                     output_text)
                 self.assertNotIn(
-                    '<span class="calendar_name">test_calendar</span>',
+                    '<span>test_calendar</span>',
                     output_text)
                 self.assertNotIn(
-                    '<span class="calendar_name">election1</span>',
+                    '<span>election1</span>',
                     output_text)
 
     def test_auth_logout(self):
@@ -1395,7 +1353,7 @@ class Flasktests(Modeltests):
             output_text = output.get_data(as_text=True)
             self.assertIn('<title>Home - Fedocal</title>', output_text)
             self.assertIn(
-                '<li class="message">You have been logged out</li>',
+                '<li class="alert alert-info">You have been logged out</li>',
                 output_text)
 
         user = None
@@ -1405,7 +1363,7 @@ class Flasktests(Modeltests):
             output_text = output.get_data(as_text=True)
             self.assertIn('<title>Home - Fedocal</title>', output_text)
             self.assertNotIn(
-                '<li class="message">You have been logged out</li>',
+                '<li class="alert alert-info">You have been logged out</li>',
                 output_text)
 
     def test_my_meetings(self):
@@ -1417,7 +1375,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '"errors">You must be in one more group than the CLA</li>',
+                '"alert alert-danger">You must be in one more group than the CLA</li>',
                 output_text)
 
         user = FakeUser()
@@ -1451,14 +1409,14 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '"errors">No calendar named calendar_test could be found</',
+                '"alert alert-danger">No calendar named calendar_test could be found</',
                 output_text)
 
             output = self.app.get('/test_calendar/add/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">You are not one of the editors of this '
+                '<li class="alert alert-danger">You are not one of the editors of this '
                 'calendar, or one of its admins, you are not allowed to add'
                 ' new meetings.</li>', output_text)
             self.assertIn(
@@ -1476,7 +1434,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 'for="meeting_date">Date</label>', output_text)
             self.assertEqual(
-                output_text.count('<span class="required">*</span>'), 5)
+                output_text.count('<span class="text-danger">*</span>'), 5)
 
             csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
@@ -1496,7 +1454,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<td>This field is required.</td>', output_text)
+                '<small>This field is required.</small>', output_text)
 
             # Format of the start time wrong
             data = {
@@ -1557,7 +1515,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="warnings">The start date of your meeting is '
+                '<li class="alert alert-warning">The start date of your meeting is '
                 'later than the stop date.</li>', output_text)
             self.assertIn(
                 '<title>Add meeting - Fedocal</title>', output_text)
@@ -1579,7 +1537,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<td>Please use channel@server format!</td>', output_text)
+                '<small>Please use channel@server format!</small>', output_text)
             self.assertIn(
                 '<title>Add meeting - Fedocal</title>', output_text)
 
@@ -1626,7 +1584,7 @@ class Flasktests(Modeltests):
                 self.assertEqual(output.status_code, 200)
                 output_text = output.get_data(as_text=True)
                 self.assertIn(
-                    '<li class="message">Meeting added</li>', output_text)
+                    '<li class="alert alert-info">Meeting added</li>', output_text)
                 self.assertIn(
                     'href="/meeting/16/?from_date=', output_text)
                 self.assertNotIn(
@@ -1650,7 +1608,7 @@ class Flasktests(Modeltests):
                 self.assertEqual(output.status_code, 200)
                 output_text = output.get_data(as_text=True)
                 self.assertIn(
-                    '<li class="message">Meeting added</li>', output_text)
+                    '<li class="alert alert-info">Meeting added</li>', output_text)
                 self.assertIn(
                     'href="/meeting/17/?from_date=', output_text)
                 self.assertNotIn(
@@ -1675,7 +1633,7 @@ class Flasktests(Modeltests):
                 '<title>test_calendar_disabled - Fedocal</title>'
                , output_text)
             self.assertIn(
-                '<li class="errors">This calendar is &#34;Disabled&#34;, '
+                '<li class="alert alert-danger">This calendar is &#34;Disabled&#34;, '
                 'you are not allowed to add meetings anymore.</li>'
                , output_text)
 
@@ -1700,7 +1658,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 '<h2>New meeting</h2>', output_text)
             self.assertIn(
-                '<td>Invalid email address.</td>', output_text)
+                '<small>Invalid email address.</small>', output_text)
 
             # Fails - one of the two email specified as recipient of the
             # reminder is invalid
@@ -1724,7 +1682,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 '<h2>New meeting</h2>', output_text)
             self.assertIn(
-                '<td>The domain name fp is not valid. It should have a period.</td>',
+                '<small>The domain name fp is not valid. It should have a period.</small>',
                 output_text)
 
             # Works - with one email as recipient of the reminder
@@ -1747,7 +1705,7 @@ class Flasktests(Modeltests):
                 self.assertEqual(output.status_code, 200)
                 output_text = output.get_data(as_text=True)
                 self.assertIn(
-                    '<li class="message">Meeting added</li>', output_text)
+                    '<li class="alert alert-info">Meeting added</li>', output_text)
                 self.assertIn(
                     'href="/meeting/17/?from_date=', output_text)
                 self.assertIn(
@@ -1777,7 +1735,7 @@ class Flasktests(Modeltests):
                 self.assertEqual(output.status_code, 200)
                 output_text = output.get_data(as_text=True)
                 self.assertIn(
-                    '<li class="message">Meeting added</li>', output_text)
+                    '<li class="alert alert-info">Meeting added</li>', output_text)
                 self.assertIn(
                     'href="/meeting/18/?from_date=', output_text)
                 self.assertIn(
@@ -1796,7 +1754,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                'class="errors">The meeting #50 could not be found</li>',
+                'class="alert alert-danger">The meeting #50 could not be found</li>',
                 output_text)
             self.assertIn('<title>Home - Fedocal</title>', output_text)
 
